package Zive_Tvory.Stavovce.Ryby;

import Zive_Tvory.Stavovce.Stavovec;

import java.util.Date;

public abstract class Ryba extends Stavovec {

    public Ryba(int pocetStavovcov)
    {
        super(pocetStavovcov);
    }

    @Override
    public void Hybsa(int directionX, int directionY, int directionZ) {
        System.out.println("I am swimming, cuz I am fish and I cant walk");
    }
    public void ReleaseBubbles(){
        System.out.println("I am fish and I just released some bubbles from my mouth");
    }

    @Override
    public void born(Date dayOfBirth) {

    }

    @Override
    public void die(Date dayOfDeath) {

    }
}
